/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemstock.service;

import java.util.List;

import com.jeeplus.modules.workstockcontract.dao.WorkStockContractDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workitemstock.entity.WorkItemStock;
import com.jeeplus.modules.workitemstock.dao.WorkItemStockDao;

/**
 * 采购验收物品Service
 * @author lw
 * @version 2018-07-18
 */
@Service
@Transactional(readOnly = true)
public class WorkItemStockService extends CrudService<WorkItemStockDao, WorkItemStock> {
	@Autowired
	private WorkItemStockDao workItemStockDao;

	public WorkItemStock get(String id) {
		return super.get(id);
	}
	
	public List<WorkItemStock> findList(WorkItemStock workItemStock) {
		return super.findList(workItemStock);
	}
	public List<WorkItemStock> findLists(WorkItemStock workItemStock) {
		return workItemStockDao.findLists(workItemStock);
	}
	public List<WorkItemStock> findListByContract(WorkItemStock workItemStock) {
		return workItemStockDao.findListByContract(workItemStock);
	}
	
	public Page<WorkItemStock> findPage(Page<WorkItemStock> page, WorkItemStock workItemStock) {
		return super.findPage(page, workItemStock);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkItemStock workItemStock) {
		super.save(workItemStock);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkItemStock workItemStock) {
		super.delete(workItemStock);
	}
	
	
	
	
}